import request from '@/utils/request'

// 查询配置信息列表
export function listAppletConfig(query) {
  return request({
    url: '/model/AppletConfig/list',
    method: 'get',
    params: query
  })
}

// 查询配置信息详细
export function getAppletConfig(id) {
  return request({
    url: '/model/AppletConfig/' + id,
    method: 'get'
  })
}

// 新增配置信息
export function addAppletConfig(data) {
  return request({
    url: '/model/AppletConfig',
    method: 'post',
    data: data
  })
}

// 修改配置信息
export function updateAppletConfig(data) {
  return request({
    url: '/model/AppletConfig',
    method: 'put',
    data: data
  })
}

// 删除配置信息
export function delAppletConfig(id) {
  return request({
    url: '/model/AppletConfig/' + id,
    method: 'delete'
  })
}
